---
title: KPI
slug: kpi
docTags: 
createdAt: 2022-04-14T07:56:20.000Z
---

Methods allow you to get a list of portal KPIs or information on a specific KPI.

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /kpi

Return a list of KPIs.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.0/kpi/",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "limit",
        "type": "Integer",
        "description": "The number of results to return per page."
      },
      {
        "kind": "optional",
        "name": "offset",
        "type": "Integer",
        "description": "The initial index from which to return the results."
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "FJ3zsBaijz6TuVFI40xNy",
        "code": "{\n   \"count\":5,\n   \"next\":null,\n   \"previous\":null,\n   \"results\":[\n      {\n         \"id\":11,\n         \"cid\":\"% Shelf Share Linear Pet Food Home Shelf\",\n         \"name\":\"% Shelf Share Linear Pet Food Home Shelf\",\n         \"units\":\"%\"\n      },\n      {\n         \"id\":12,\n         \"cid\":\"% Glass Facing Share Nescafe Classic\",\n         \"name\":\"Glass Facing Share Nescafe Classic\",\n         \"units\":\"%\"\n      },\n      {\n         \"id\":13,\n         \"cid\":\"PU_GL_3\",\n         \"name\":\"PU_GL_3\",\n         \"units\":null\n      },\n      {\n         \"id\":14,\n         \"cid\":\"PU_GL_2\",\n         \"name\":\"PU_GL_2\",\n         \"units\":null\n      },\n      {\n         \"id\":15,\n         \"cid\":\"PU_GL_1\",\n         \"name\":\"PU_GL_1\",\n         \"units\":null\n      }\n   ]\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FJ3zsBaijz6TuVFI40xNy"
  },
  "examples": {
    "languages": [
      {
        "id": "dpmODah_ZAOTKtuSexN5X",
        "code": "curl –i –X GET\n  https://test.eyrene.com/api/data/v1.1/kpi/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dpmODah_ZAOTKtuSexN5X"
  },
  "description": "GET /kpi",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "request-example",
  "legacyHash": "-KSQdVr1ioy1_yID0pQ9u"
}
```
:::

## Response parameters[​](https://help.inspector-cloud.com/en/docs/api/backend/methods/v1/agents/agents_list#response-definitions)

***

**`count`** *integer*

The number of KPIs.

***

**`next`** *string (uri)* <font color="#2166ae">Nullable</font>

Next page.

***

**`previous`** *string (uri)* <font color="#2166ae">Nullable</font>

Previous page.

***

**`results`** *array of objects*

An array of objects with information about KPI's.

- **`id`** *integer*
  KPI ID.
- **`cid`** *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>
  KPI ID in the user system.
- **`name`** *string* <font color="#2166ae">\[ 1 .. 255 \]</font> <font color="#2166ae">characters</font>
  KPI name.
- **`units`** *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>
  KPI indicator unit.

***


::::

***

::::ExpandableHeading{isOpen="true"}
# <font color="#2166ae">GET</font> /kpi/&#x7B;id}

Returns information about KPI by ID.

:::ApiMethodV2
```json
{
  "tab": "request",
  "url": "https://instance_name/api/data/v1.0/kpi/{id}",
  "name": "Request example",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "id",
        "type": "string",
        "description": "KPI ID."
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Authorization",
        "type": "string",
        "description": "String in \"Token XXXXXX...\" format."
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "FJ3zsBaijz6TuVFI40xNy",
        "code": "{\n   \"id\":11,\n   \"cid\":\"% Shelf Share Linear Pet Food Home Shelf\",\n   \"name\":\"% Shelf Share Linear Pet Food Home Shelf\",\n   \"units\":\"%\"\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FJ3zsBaijz6TuVFI40xNy"
  },
  "examples": {
    "languages": [
      {
        "id": "dpmODah_ZAOTKtuSexN5X",
        "code": "curl –i –X GET\n  https://test.eyrene.com/api/data/v1.1/kpi/11/\n  -H ‘Authorization: Token 39fbb6e9-fbf9-459a-9e1b-416dbcf51875e’",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "dpmODah_ZAOTKtuSexN5X"
  },
  "description": "GET /kpi/{id}",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "request-example-1",
  "legacyHash": "Bivvib_DkmtZ-9nB_MM_t"
}
```
:::

## Response parameters

***

**`id`** *integer*

KPI I&#x44;*.*

***

**`cid`** *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>

KPI ID in the user system.

***

**`name`** *string* <font color="#2166ae">\[ 1 .. 255 \]</font> <font color="#2166ae">characters</font>

KPI name.

***

**`units`** *string* <font color="#2166ae">&lt;= 255 characters Nullable</font>

KPI indicator unit.

***


::::

***

